<%@ page import="com.cidat.proclets.*,itourbaskBeans.*,java.util.*,q53_util.*,itourbaskClases.q53RespuestaClass,itourbaskBeans.q53RespuestaBean,java.io.IOException;" session="true" %>
<%

//deshabilitar la cache
response.setHeader("Cache-Control", "no-cache"); 
response.addHeader( "pragma", "no-cache");
response.setDateHeader("Expires", -1);
//FIN deshabilitar la cache
com.cidat.proclets.ProcletServiceData sd=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 

String q53_idioma = q53Util.getIdioma(sd); 
String perfiles = (String)sd.getVal("perfiles");
String codPerfil = sd.gOS("q53_cki.q53_perfil");

String not_campovacio= q53Util.getLiteral(sd, "NOT_CAMPOVACIO", q53_idioma);
String not_digitosyNumerico= q53Util.getLiteral(sd, "NOT_VALIDAR1", q53_idioma);
String not_emailCorrecto= q53Util.getLiteral(sd, "NOT_VALIDAR2", q53_idioma);
String not_faxCorrecto= q53Util.getLiteral(sd, "NOT_VALIDAR3", q53_idioma);
String not_fechaCorrecta= q53Util.getLiteral(sd, "NOT_VALIDAR4", q53_idioma);
String not_nhojasCorrecto= q53Util.getLiteral(sd, "NOT_VALIDAR5", q53_idioma);
String not_correo= q53Util.getLiteral(sd, "NOT_CORREO", q53_idioma);
String enc_usuario= q53Util.getLiteral(sd, "ENC_USUARIO", q53_idioma);
String not_datos= q53Util.getLiteral(sd, "NOT_DATOS", q53_idioma);
String not_guardarambas= q53Util.getLiteral(sd, "NOT_GUARDARAMBAS", q53_idioma);
String not_guardarygen= q53Util.getLiteral(sd, "NOT_GUARDARYGEN", q53_idioma);
String not_cp= q53Util.getLiteral(sd, "NOT_CP", q53_idioma);
String not_desti= q53Util.getLiteral(sd, "NOT_DESTI", q53_idioma);
String not_remi= q53Util.getLiteral(sd, "NOT_REMI", q53_idioma);
String not_nhojas= q53Util.getLiteral(sd, "NOT_NHOJAS", q53_idioma);
String not_fecha= q53Util.getLiteral(sd, "NOT_FECHA", q53_idioma);
String not_fax= q53Util.getLiteral(sd, "NOT_FAX", q53_idioma);
String not_email= q53Util.getLiteral(sd, "NOT_EMAIL", q53_idioma);
String not_localidad= q53Util.getLiteral(sd, "NOT_LOCALIDAD", q53_idioma);
String not_direccion= q53Util.getLiteral(sd, "NOT_DIRECCION", q53_idioma);
String not_nombre= q53Util.getLiteral(sd, "NOT_NOMBRE", q53_idioma);
String not_recogida= q53Util.getLiteral(sd, "NOT_RECOGIDA", q53_idioma);
String enc_pendiente= q53Util.getLiteral(sd, "ENC_PENDIENTE", q53_idioma);
String ALERT_VALORACION_ESTANCIA= q53Util.getLiteral(sd, "ALERT_VALORACION_ESTANCIA", q53_idioma);
String BTN_NUEVA_LINEA= q53Util.getLiteral(sd, "BTN_NUEVA_LINEA", q53_idioma);

List calendarioLiteralesList = null;
if(sd.getVal("literalesCalendario") != null){
    calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
}
%>

<%
//codigo aleatorio para evitar la repeticion por el cacheo del proxy
String codigo_aleatorio = q53Util.obtener_cod_aleatorio();

String q53Idioma = q53Util.getIdioma(sd);
// Literales  cambio 


String enc_ascendente= q53Util.getLiteral(sd, "ENC_ASCENDENTE", q53_idioma);
String enc_descendente= q53Util.getLiteral(sd, "ENC_DESCENDENTE", q53_idioma);
String enc_estado= q53Util.getLiteral(sd, "ENC_ESTADO", q53_idioma);
String enc_medio_recep = q53Util.getLiteral(sd, "ENC_MEDIO_RECEP", q53_idioma);
String enc_titulo_fecha_intro=q53Util.getLiteral(sd, "ENC_TITULO_FECHA_INTRO", q53_idioma);
String enc_titulo_fecha_vis=q53Util.getLiteral(sd, "ENC_TITULO_FECHA_VIS", q53_idioma);
String ALERT_PROVINCIA=q53Util.getLiteral(sd, "ALERT_PROVINCIA", q53_idioma);
String ALERT_PERDER_DATOS=q53Util.getLiteral(sd, "ALERT_PERDER_DATOS", q53_idioma);
String ALERT_PROCEDENCIA_1=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_1", q53_idioma);
String ALERT_PROCEDENCIA_2=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_2", q53_idioma);
String ALERT_PROCEDENCIA_3=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_3", q53_idioma);
String ALERT_PROCEDENCIA_4=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_4", q53_idioma);
String mnu_recogida_datos = q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS", q53_idioma);
String enc_hoy = q53Util.getLiteral(sd, "ENC_HOY", q53_idioma);
String enc_tipo_fecha = q53Util.getLiteral(sd, "ENC_TIPO_FECHA", q53_idioma);
String enc_tipo_hora = q53Util.getLiteral(sd, "ENC_TIPO_HORA", q53_idioma);
String n1_2 = q53Util.getLiteral(sd, "N1_2", q53_idioma);
String n1_5 = q53Util.getLiteral(sd, "N1_5", q53_idioma);
String n1_6 = q53Util.getLiteral(sd, "N1_6", q53_idioma);
String n1_7 = q53Util.getLiteral(sd, "N1_7", q53_idioma);
String n1_8 = q53Util.getLiteral(sd, "N1_8", q53_idioma);
String n1_12 = q53Util.getLiteral(sd, "N1_12", q53_idioma);
String enc_total = q53Util.getLiteral(sd, "ENC_TOTAL", q53_idioma);
String enc_personas = q53Util.getLiteral(sd, "ENC_PERSONAS", q53_idioma);
String enc_tipo_procedencia = q53Util.getLiteral(sd, "ENC_TIPO_PROCEDENCIA", q53_idioma);
String enc_local = q53Util.getLiteral(sd, "ENC_LOCAL", q53_idioma);
String enc_territorio_historico = q53Util.getLiteral(sd, "ENC_TERRITORIO_HISTORICO", q53_idioma);
String enc_comunidad_autonoma = q53Util.getLiteral(sd, "ENC_COMUNIDAD_AUTONOMA", q53_idioma);
String enc_pais = q53Util.getLiteral(sd, "ENC_PAIS", q53_idioma);
String usr_ver_formato_imprimir = q53Util.getLiteral(sd, "USR_VER_FORMATO_IMPRIMIR", q53_idioma);
String gen_terminar = q53Util.getLiteral(sd, "GEN_TERMINAR", q53_idioma);
String gen_guardar = q53Util.getLiteral(sd, "GEN_GUARDAR", q53_idioma);
String usr_ver_encuestas = q53Util.getLiteral(sd, "USR_VER_ENCUESTAS", q53_idioma);
String gen_terminar_ambas = q53Util.getLiteral(sd, "GEN_TERMINAR_AMBAS", q53_idioma);
String est_alert_select_th = q53Util.getLiteral(sd, "EST_ALERT_SELECT_TH", q53_idioma);
String enc_procedencia_datos = q53Util.getLiteral(sd, "ENC_PROCEDENCIA_DATOS", q53_idioma);
String enc_ccaa = q53Util.getLiteral(sd, "ENC_CCAA", q53_idioma);
String enc_total_personas = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS", q53_idioma);
String enc_total_personas_1 = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS_1", q53_idioma);
String enc_preg_obligatoria = q53Util.getLiteral(sd, "ENC_PREG_OBLIGATORIA", q53_idioma);
String est_compruebe_fecha = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA", q53_idioma);
String enc_presencial = q53Util.getLiteral(sd, "ENC_PRESENCIAL", q53_idioma);
String enc_no_pres = q53Util.getLiteral(sd, "ENC_NO_PRES", q53_idioma);
String enc_presencial_tabla = q53Util.getLiteral(sd, "ENC_PRESENCIAL_TABLA", q53_idioma);
String enc_no_pres_tabla = q53Util.getLiteral(sd, "ENC_NO_PRES_TABLA", q53_idioma);
String cpos = q53Util.getLiteral(sd, "CPOS", q53_idioma);
String enc_mantener=q53Util.getLiteral(sd, "ENC_MANTENER", q53_idioma);
String TIP_VER_ULTIMA_ENCUESTA=q53Util.getLiteral(sd, "TIP_VER_ULTIMA_ENCUESTA", q53_idioma);
%>
<%!
/**
 * escribe una pregunta de tipo OPCIONES
 **/
private void escribirPregOpciones (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();  
    
    out.println ("<div class='col-sm-12 form-group form-group-inline'>");
    out.println ("<div class='col-sm-2'>");
    out.println ("<span class='numero_apartado'>"+num_pregunta+"</span>");
    out.println ("<span class='apartado'>"+descripcion+"</span>");
    if(obligatoria){
        out.println ("<span class='textorojobold apartado'>*</span>");
    }
    out.println ("</div>");  
    
    out.println ("<div class='col-sm-10  form-group-inline'>");  
   
    q53OpcionesBean opcionesBean = preguntaBean.getPreguntaOpciones();    
    String formato = opcionesBean.getFormato();    
    if (formato.equals(q53Constantes.FORMATO_SELECT)) {
    	out.println ("<input id='opt_"+codPregunta+"' name='opt_"+codPregunta+"' type='text' style='width: 400px;'>");
       	out.println ("<span class='material-icons'>arrow_drop_down</span>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','select');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_CHECK)) {       
        out.println ("<input name='opt_"+codPregunta+"' type='hidden' id='tipo_check_"+codPregunta+"'>");
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
				out.println ("<div class='form-group-inline'>");
				out.println ("<input id='opt_check_"+codOpcion+"' name='opt_check_"+codPregunta+"' type='checkbox' value='"+codOpcion+"'>");
				out.println ("<label for='opt_check_"+codOpcion+"'></label>");
				out.println ("<label for='opt_check_"+codOpcion+"'>"+descripcionOpcion+"</label>");
				out.println ("</div>");
            }
        }
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','check');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_RADIO)) {
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<div class='form-group-inline'>");
                out.println ("<input id='opt_"+codPregunta+"' name='opt_"+codPregunta+"' type='radio' value='"+codOpcion+"'>");
                out.println ("<label for='opt_"+codPregunta+"'>"+descripcionOpcion+"</label>");
                out.println ("</div>");
            }
        }
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','radio');");
        out.println ("</script>");
    }
    out.println ("</div>");
    out.println ("</div>");
}

/**
 * escribe una pregunta de tipo TEXTO
 **/
private void escribirPregTexto (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean,  int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
    q53TextoBean textoBean = preguntaBean.getPreguntaTexto();
    int tamano = textoBean.getTamanioTexto();
    
    out.println ("<div class='col-sm-12 form-group  form-group-inline'>");
    out.println ("<div class='col-sm-2'>");
    out.println ("<span class='numero_apartado'>"+num_pregunta+"</span>");
    out.println ("<span class='apartado'>"+descripcion+"</span>");
    if(obligatoria){
        out.println ("<span class='textorojobold apartado'>*</span>");
    }
    out.println ("</div>");  
    
    out.println ("<div class='col-sm-10  form-group-inline'>"); 
    out.println ("<input id='txt_"+codPregunta+"' name='txt_"+codPregunta+"' type='text' class='inptxt' style='width: 400px;'>");
    out.println ("</div>");
    out.println ("</div>");

    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregTexto('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','texto','"+tamano+"');");
    out.println ("</script>");
}
/**
 * escribe una pregunta de tipo FECHA
 **/
 private void escribirPregFecha (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, ProcletServiceData sd,int num_pregunta,int preguntasLength) throws IOException, ProcletException {
	    List calendarioLiteralesList = null;
	    if(sd.getVal("literalesCalendario") != null){
	        calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
	    }
	    String q53Idioma = q53Util.getIdioma(sd);
	    String codPregunta = preguntaBean.getCodPregunta();
	    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
	    String descripcion =preguntaBean.getDescripcionPregunta();
	    boolean obligatoria = preguntaBean.isObligatoria();
	   	q53FechaBean fechaBean = preguntaBean.getPreguntaFecha();
	    String fecha_min = fechaBean.getFechaMin();
	    String fecha_max = fechaBean.getFechaMax();
	    
	    out.println ("<div class='col-sm-12 form-group-inline'>");
	    out.println ("<div class='col-sm-2'>");
	    out.println ("<span class='numero_apartado'>"+num_pregunta+"</span>");
	    out.println ("<span class='apartado'>"+descripcion+"</span>");
	    if(obligatoria){
	        out.println ("<span class='textorojobold apartado'>*</span>");
	    }
	    out.println ("</div>");  
	    
	    java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
	    String ahora = sdf.format (new java.util.Date());
	    String ahora_dia = ahora.substring (0,2);
	    String ahora_mes = ahora.substring (3,5);
	    String ahora_anio = ahora.substring (6);
	    out.println ("<div class='form-group-inline'>");
	    out.println ("<input id='fech_"+codPregunta+"' name='fech_"+codPregunta+"' type='text'>");
	   	out.println ("<span class='material-icons'>arrow_drop_down</span>");
	    out.println ("</div>");
	    out.println ("<div class='form-group-inline'>");
	    out.println ("<input id='fech_"+codPregunta+"_mes' name='fech_"+codPregunta+"' type='text'>");
	   	out.println ("<span class='material-icons'>arrow_drop_down</span>");
	    out.println ("</div>");
	    out.println ("<div class='form-group-inline'>");
	    out.println ("<input id='fech_"+codPregunta+"_anio' name='fech_"+codPregunta+"_anio' type='text'>");
	    out.println ("<span class='material-icons'>arrow_drop_down</span>");
	    out.println ("</div>");
	    out.println ("</div>");
	    out.println ("<script>");
	    out.println ("preguntas["+preguntasLength+"]=new gen_PregFecha('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','fecha','"+fecha_min+"','"+fecha_max+"');");
	    out.println ("</script>");
	}
/**
 * Escribe el texto de introducción de la encuesta, si existe
 **/
private void escribirTextoEncuesta (javax.servlet.jsp.JspWriter out, ProcletServiceData sd, String enc) throws IOException, ProcletException {
    if (!sd.gOS(enc+"[0].n0_texto").equals("")) {
        // el texto existe
        out.println ("<div class='col-sm-12 form-group  form-group-inline'>");
        out.println ("<span>"+sd.gOS(enc+"[0].n0_texto")+"</span>");
        out.println ("</div>");
    } // if
}
%>
<%

String cod_enc_oficina = "";
String cod_version_oficina = "";
String cod_descripcion_oficina = "";
q53EncuestaBean encuestaBean = null;
if (sd.getVal("hay_preg_ofi").equals("SI")) {
   encuestaBean  = (q53EncuestaBean)sd.getVal("encVisible");
   cod_enc_oficina = encuestaBean.getCodEncuesta();
   cod_version_oficina = encuestaBean.getCodVersion();
   cod_descripcion_oficina =encuestaBean.getDescripcionEncuesta();
}else{
   encuestaBean  = (q53EncuestaBean)sd.getVal("encuestaGV");
}

    String n8_5_1 = q53Util.getLiteral(sd, "N8_5_1", q53_idioma);
    String n8_5_2 = q53Util.getLiteral(sd, "N8_5_2", q53_idioma);
    String n8_5_3 = q53Util.getLiteral(sd, "N8_5_3", q53_idioma);
    String n8_5_4 = q53Util.getLiteral(sd, "N8_5_4", q53_idioma);
    String n8_5_5 = q53Util.getLiteral(sd, "N8_5_5", q53_idioma);

%>
<!DOCTYPE html> <!-- HTML5 -->
<html>
<head>
<!-- Tags para diseño responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Fin Tags para diseño responsive -->
<title> itourbask </title>
<!-- Bootstrap core CSS -->
<link href="/appcont/itourbask/styles/bootstrap.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/index.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/estilos.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/jquery-ui/jquery-ui.css" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Lato:100,900italic,100italic,300,300italic,400,700,400italic,700italic,900|Oswald:400,300,700" rel="stylesheet" type="text/css">
<script src="/appcont/itourbask/scripts/param.js"></script>
<script src="/appcont/itourbask/scripts/general.js"></script>

<script>
var notificaciones_validadas=0;
function validar_campo(campo,patron_validacion,todo_bien){

}

function abrir_ventana_notificacion() {
	 
}

function visualizar_datos_envio(){
 	
}

function ver_respuesta(codigoRespuesta){
	
}

function hayDatos(){
	
}

function CargarPaginaConfirm(ref,msg){
	
}

function cargarPAG(str){
   
}

function activar_campos(campos){
	
}

function desactivar_campos(campos){
	
}

function limpiar_campos_notificaciones(){
	
}

function campo_vacio(campo,todo_bien){
   
 }

function validar_notificaciones(){
	
}
function terminar(){
    
}

//Hay que validar que el numero de personas coincida tanto en grupos de edad como en hombres y mujeres
function comprobarNumeroPersonasProcedencia(){
	
}

/* Validar combos de procedencia y numero de personas */
function comprobarSeleccionProcedencia(){
 
}

//******************************************************************************
//validar que el numero de persona coincida tanto en grupos de edad como en hombres y mujeres
//***********************************
function comprobarNumeroPersonas(){
   
}

//Termina las dos encuestas la del g.v. y la de la oficina
function terminarEncuestas() {
    
    
}

function imprimir () {
    
}

function ver_respuestas (){
    
}


function volver_cancelar (){
   
}
var preguntas = new Array();

function calcularTotalPersonas() {
    
}
function calcularTotalPersonas_sexo() {
    
    
}
function ordenarParametrosGrupoEdad(){
    
}

function circuloOver2(num) {
	
}

function circuloOut2(num) {
	
}

function circuloOverSel2(num) {
	
}

function circuloOutSel2(num) {
	
}
function deshabilitar(){
	
}

function comprobarCPOS(pos){
  
}

var ajax;
var ajax2;

function funcionCallbackUltima()
{
	
}

function funcionCallback()
{
	
}



function recuperaFecha()
{
	
}

function recuperaEncuesta()
{
	
}

</script>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" onload="limpiar_campos_notificaciones();">
<!-- MENU -->
<jsp:include page="/q53_gen_menu.jsp" />
<!-- FIN MENU -->

<%
	if(encuestaBean != null){
String recogidaDatos="N";
if(encuestaBean.isRecogidaDatos()){
    recogidaDatos = "S";
}
String codEncuesta = encuestaBean.getCodEncuesta();
String codVersion = encuestaBean.getCodVersion();
String descEncuesta = encuestaBean.getDescripcionEncuesta();

%>

<div class="container">

	<div class="col-sm-1"></div>
	<div class="col-sm-12 body_encuesta">
	
		<div id="cabecera_encuesta" class="col-sm-12">
			<span>
				<%= mnu_recogida_datos %>
			</span>
			<!-- PARTE DE ULTIMA RESPUESTA -->  
            <div id="ultima_respuesta" class="col-sm-11"></div>
	      	<!-- FIN PARTE DE ULTIMA RESPUESTA -->
	      	
		</div>
	
		<form id="frm" name="frm" method="post" action="/q53ItourbaskWar/q53usrGuardarServlet?encuesta=pres&cod_al=<%=codigo_aleatorio%>" class="frmclass">
			<input type="hidden" id="terminarAmbas" name="terminarAmbas" value="0">
			<input type="hidden" id="es_recogida_datos" name="es_recogida_datos" value="<%=recogidaDatos%>">
			<input type="hidden" id="cod_encuesta" name="cod_encuesta" value="<%=codEncuesta%>">
			<input type="hidden" id="cod_version" name="cod_version" value="<%=codVersion%>">
			<input type="hidden" id="encuesta_descripcion" name="encuesta_descripcion" value="<%=descEncuesta%>">
			<input type="hidden" id="encuestas_terminadas" name="encuestas_terminadas" value="<%=""%>">
			<input type="hidden" id="respuesta_rd_asociada" name="respuesta_rd_asociada" value="<%=""%>">
			<input type="hidden" name="terminarActivo" id="terminarActivo" value="1">
			<input type="hidden" name="fech_10_dia2" id="fech_10_dia" value="01">
			<input type="hidden" name="fech_10_mes2" id="fech_10_mes2" value="01">
			<input type="hidden" name="fech_10_anio2" id="fech_10_anio2" value="2001">
			<!-- PARTE DE ULTIMA RESPUESTA -->
			<input type="hidden" name="mantener_ultima" id="mantener_ultima" value="<%=sd.gOS("mantener_ultima")%>">
			<!-- FIN PARTE DE ULTIMA RESPUESTA -->


<%int num_pregunta = 1;%>
	<input type="hidden" id="gv_cod_encuesta" name="gv_cod_encuesta" value="0">
	<input type="hidden" id="gv_cod_version" name="gv_cod_version" value="1">
	
	<div id="fecha" class="col-sm-12 form-group form-group-inline">
	
		<div class="col-sm-2">
		    <span class='numero_apartado'>1</span>
		    <span class="apartado"><%=enc_tipo_fecha%></span>
		</div>
		
		<% 
		java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
        String ahora = sdf.format (new java.util.Date());
        String ahora_dia = ahora.substring (0,2);
        String ahora_mes = ahora.substring (3,5);
        String ahora_anio = ahora.substring (6);
		java.util.Calendar cal = java.util.Calendar.getInstance();
		String ahora_hora = cal.get(Calendar.HOUR_OF_DAY)<10?"0"+cal.get(Calendar.HOUR_OF_DAY):String.valueOf(cal.get(Calendar.HOUR_OF_DAY));
		q53FechaBean fechaBean= (q53FechaBean)sd.getVal("fechasGV");
        String fecha_min = fechaBean.getFechaMin();
        // 30.03.2007 MMG Comentado pq no sale el año actual
        //String fecha_max = fechaBean.getFechaMax(); 
      	String fecha_max = "";
        String sesion_dia=(String)session.getAttribute("dia");
   		String sesion_mes=(String)session.getAttribute("mes");
   		String sesion_anio=(String)session.getAttribute("anio");
   		String sesion_hora=(String)session.getAttribute("hora");
   		String manten=(String)session.getAttribute("mantener");
        int anio_min = 0;
        int anio_max = 0;
        try {
        	if (fecha_min.equals("")) {
                anio_min = Integer.parseInt(ahora_anio);
            }else {
                anio_min = Integer.parseInt(fecha_min.substring(0,4));
            }
            if (fecha_max.equals("")) {
                anio_max = Integer.parseInt(ahora_anio);
            }else {
                anio_max = Integer.parseInt(fecha_max.substring(0,4));
            }
            
            if(manten.equals("on")){
 				ahora_dia=sesion_dia;
 			}
	        if(manten.equals("on")){
	        	ahora_mes=sesion_mes;
	        }
	        if(manten.equals("on")){
	        	ahora_anio=sesion_anio;
	        }
	        if(manten.equals("on")){
	        	ahora_hora=sesion_hora;
	        }
		}catch (Exception e) {
            //e.printStackTrace();
        }
		%>
		
		<div class="col-sm-10  form-group-inline">
			<div class="form-group-inline" class="icono_personalizado">
				<span class="icon material-icons"> schedule </span>
				<%if(q53_idioma.equals("C")){%>
		            <input type='text' id='dia' max="9999">
		            <span class="material-icons">arrow_drop_down</span>
		        	<input type='text' id='mes'>
		            <span class="material-icons">arrow_drop_down</span>
			        <input type='text' id='anio' max="9999">
        		<%}else{%>
        			<input type='text' id='anio' max="9999">
	                <span class="material-icons">arrow_drop_down</span>
			        <input type='text' id='mes'>
		            <input type='text' id='dia' max="9999">
		            <span class="material-icons">arrow_drop_down</span>
        		<%}%>
			</div>
        	
        	<div class="form-group-inline">
        		<label for="fech_0_hora"><%=enc_tipo_hora%>:</label>
	            <input type='text' id='hora'>
	            <span class="material-icons">arrow_drop_down</span>
		    </div>
        </div>
		
	</div>
	
<%List literalesGruposList = null;
if(sd.getVal("literalesGrupos") != null){
    literalesGruposList = (List)sd.getVal("literalesGrupos");
}
if(literalesGruposList != null && !literalesGruposList.isEmpty()){%>
<div id="personas" class="col-sm-12 form-group  form-group-inline">

	<div class="col-sm-2">
	    <span class='numero_apartado'>2</span>
	    <span class="apartado"><%=n1_2%></span>
	</div>

	<div class="col-sm-10 form-group-inline">
	    <div class="form-group-inline">
	        <input type='number' id='grp_2_2_1' name='grp_2_2_1' min="0" max="999" class='inptxt number' onBlur='javaScript:calcularTotalPersonas_sexo();'>
	        <label for="grp_2_2_1"><%=literalesGruposList.get(1)%></label>
	    </div>
	    <div class="form-group-inline">
	        <input type='number' id='grp_2_2_2' name='grp_2_2_2' min="0" max="999" class='inptxt number' onBlur='javaScript:calcularTotalPersonas_sexo();'>
	        <label for="grp_2_2_2"><%=literalesGruposList.get(2)%></label>
	    </div>
	    <div class="form-group-inline">
	        <input type='number' name='totalPersonas' id='totalPersonas' disabled value='' class='inptxt number'>
	        <label for="totalPersonas"><%=enc_total%></label>
	    </div>
	</div>
    <input type='hidden' id='sinConcretar' name='sinConcretar' value='0'>
</div>
<script>
<%q53LogEstadisticas.printLog("literalesGruposList.get(0)" + literalesGruposList.get(0));%>
preguntas[preguntas.length]=new gen_PregGrupos('2','<%=literalesGruposList.get(0)%>','S','grupos','2');
</script>
<%}%>

<div id="grupoEdad" class="col-sm-12 form-group  form-group-inline">
	<div class="col-sm-2">
	    <span class='numero_apartado'>3</span>
	    <span class='apartado'><%=n1_5%></span>
	</div>
	<div class="col-sm-10 form-group-inline">
		<div class="form-group-inline floating-placeholder">
	        <input type='number' name='grp_5_4_1' id='grp_5_4_1' min='0' max='999' value='' class='inptxt number' onBlur='javaScript:calcularTotalPersonas();'>
	        <label for="grp_5_4_1"><%= n8_5_1 %></label>
	        <input type='hidden' name='grp_5_4_1_H' id='grp_5_4_1_H' value=''>
	        <input type='hidden' name='grp_5_4_1_M' id='grp_5_4_1_M' value=''>
		</div>
		<div class="form-group-inline floating-placeholder">
	        <input type='number' name='grp_5_4_2' id='grp_5_4_2' min='0' max='999' value='' class='inptxt number' onBlur='javaScript:calcularTotalPersonas();'>
	        <label for="grp_5_4_2"><%= n8_5_2 %></label>
	        <input type='hidden' name='grp_5_4_2_H' id='grp_5_4_2_H' value=''>
	        <input type='hidden' name='grp_5_4_2_M' id='grp_5_4_2_M' value=''>
	    </div>
		<div class="form-group-inline floating-placeholder">
	        <input type='number' name='grp_5_4_3' id='grp_5_4_3' min='0' max='999' value='' class='inptxt number' onBlur='javaScript:calcularTotalPersonas();'>
	        <label for="grp_5_4_3"><%= n8_5_3 %></label>
	        <input type='hidden' name='grp_5_4_3_H' id='grp_5_4_3_H' value=''>
	        <input type='hidden' name='grp_5_4_3_M' id='grp_5_4_3_M' value=''>
	    </div>
		<div class="form-group-inline floating-placeholder">
	        <input type='number' name='grp_5_4_4' id='grp_5_4_4' min='0' max='999' value='' class='inptxt number' onBlur='javaScript:calcularTotalPersonas();'>
	        <label for="grp_5_4_4"><%= n8_5_4 %></label>
	        <input type='hidden' name='grp_5_4_4_H' id='grp_5_4_4_H' value=''>
	        <input type='hidden' name='grp_5_4_4_M' id='grp_5_4_4_M' value=''>
	    </div>
		<div class="form-group-inline floating-placeholder">
	        <input type='number' name='grp_5_4_5' id='grp_5_4_5' min='0' max='999' value='' disabled value='0' class='inptxt number'>
	        <label><%= n8_5_5 %></label>     
	        <input type='hidden' name='grp_5_4_5_H' id='grp_5_4_5_H' value=''>
	        <input type='hidden' name='grp_5_4_5_M' id='grp_5_4_5_M' value=''>
	 	</div>
	 </div>
</div>
    <script>
    preguntas[preguntas.length]=new gen_PregGrupos('5','<%=n1_5%>','S','grupos','5');
    </script>        

<div id="procedencia" class="col-sm-12 form-group  form-group-inline">
	<div class="col-sm-2">
	    <span class='numero_apartado'>4</span>
	    <span class='apartado'><%=enc_tipo_procedencia%></span>
	</div>

	<div class="col-sm-10  form-group-inline">
		<input name='local' type='hidden' id='local'>
		<div class="form-group-inline col-sm-2">
			<input type='checkbox' id='opt_local' name='opt_local' onchange="deshabilitar()">
			<label for="opt_local"></label>
			<label for="opt_local"><%=enc_local%></label>
	    </div>
	           
	    <div class="form-group-inline">
	        <label for="cpos1"><%=cpos%></label>
	        <input type='text' name='cpos1' id='cpos1' value='' size='8' maxlength='5' class='inptxt' >
	    </div>
	    
	    <div class="form-group-inline">
	        <label for="proc_pais_6_1"><%=enc_pais%></label>  
			<input type='text' id='proc_pais_6_1'>
		            
			<span class="material-icons">arrow_drop_down</span>                      
	    </div>
	
	   	<div class="form-group-inline">
			<input type='number' min="0" max="999" id="nPersonasProcedencia_6_1" name="nPersonasProcedencia_6_1" class='inptxt number'>
			<label for="nPersonasProcedencia_6_1"><%=enc_personas%></label>
	    </div>
	    
	    <div class="form-group-inline">
			<!--<a id="masprocedencia1"><%=BTN_NUEVA_LINEA%></a>-->
			<a id="masprocedencia1" class="btn btn-dark" hidefocus ><%=BTN_NUEVA_LINEA%></a>
	    </div>   
    </div>
    
    <div class="col-sm-12  form-group-inline" id="procedencia2">
	    <div class="col-sm-2"></div>
	    <div class="col-sm-10 form-group-inline">
			<div class="col-sm-2"></div>
		           
		    <div class="form-group-inline">
		        <label for="cpos2"><%=cpos%></label>
		        <input type='text' name='cpos2' id='cpos2' value='' size='8' maxlength='5' class='inptxt' >
		    </div>
		    
		    <div class="form-group-inline">
		        <label for="proc_pais_6_2"><%=enc_pais%></label>          
		        <input type='text' id='proc_pais_6_2'>
		      	<span class="material-icons">arrow_drop_down</span>     
		    </div>
		
		   	<div class="form-group-inline">
				<input type='number' size='2' min="0" max="999" id="nPersonasProcedencia_6_2" name="nPersonasProcedencia_6_2" class='inptxt number'>
				<label for="nPersonasProcedencia_6_1"><%=enc_personas%></label>
		    </div>
		    
		    <div class="form-group-inline">
				<!--<a id="masprocedencia2"><%=BTN_NUEVA_LINEA%></a>-->
				<a id="masprocedencia2" class="btn btn-dark"><%=BTN_NUEVA_LINEA%></a>
			</div>
		    <!-- <div class="col-sm-3">
				<a id="menosprocedencia2">Quitar línea de procedencia</a>
		    </div> -->
	    </div>
    </div>
    
    <div class="col-sm-12  form-group-inline" id="procedencia3">
	    <div class="col-sm-2"></div>
	    <div class="col-sm-10  form-group-inline">
			<div class="col-sm-2"></div>
		           
		    <div class="form-group-inline">
		        <label for="cpos3"><%=cpos%></label>
		        <input type='text' name='cpos3' id='cpos3' value='' size='8' maxlength='5' class='inptxt' >
		    </div>
		    
		    <div class="form-group-inline">
		        <label for="proc_pais_6_3"><%=enc_pais%></label>          
		        <input type='text' id='proc_pais_6_3'>
		                     
				<span class="material-icons">arrow_drop_down</span>   
		    </div>
		
		   	<div class="form-group-inline">
				<input type='number' size='2' min="0" max="999" id="nPersonasProcedencia_6_3" name="nPersonasProcedencia_6_3" class='inptxt number'>
				<label for="nPersonasProcedencia_6_1"><%=enc_personas%></label>
		    </div>
		    
		<!-- <div class="col-sm-3">
			<a id="menosprocedencia3">Quitar línea de procedencia</a>
	    </div> -->   
	    </div>
	</div>
    
</div>
<script>
    preguntas[preguntas.length]=new gen_PregProcedencia('6','<%=enc_tipo_procedencia%>','N','procedencia');
</script>

<%List informacionSolicitadaList = null;
if(sd.getVal("literalesInformacionSolicitada") != null){
    informacionSolicitadaList = (List)sd.getVal("literalesInformacionSolicitada");
    if(informacionSolicitadaList != null && !informacionSolicitadaList.isEmpty()){
%>
	
<div id="ambito" class="col-sm-12 form-group  form-group-inline">
	<div class="col-sm-2">
		<span class='numero_apartado'>5</span>
	    <span class='apartado'><%=n1_7%></span>
	</div>
	
	<div class="col-sm-10  form-group-inline">
		<% String checked = "";
		for(int j=1;j<7;j++){
			%>
			<div class="form-group-inline">
				<input id='opt_check_7_<%=j%>' name='opt_check_7' type='checkbox' value='<%=j%>'>
				<label for="opt_check_7_<%=j%>"></label>
				<label for="opt_check_7_<%=j%>"><%=informacionSolicitadaList.get(j)%></label>
	    	</div>
		<%}%>
	</div>
	
	<input name='opt_7' type='hidden' id='tipo_check_7'>
	
</div>
        
<script>
preguntas[preguntas.length]=new gen_PregOpciones('7','<%=informacionSolicitadaList.get(0)%>','S','opciones','check');
</script>
<%  }
}%>

<%List tipoInformacionList = null;
if(sd.getVal("literalesTipoInformacion") != null){
    tipoInformacionList = (List)sd.getVal("literalesTipoInformacion");
    if(tipoInformacionList != null && !tipoInformacionList.isEmpty()){
%>


<div id="interes" class="col-sm-12 form-group  form-group-inline">
	<div class="col-sm-2">
		<span class='numero_apartado'>6</span>
	    <span class='apartado'><%=n1_8%></span>
	</div>

	<div class="col-sm-10  form-group-inline">
	<input name='opt_8' type='hidden' id='tipo_check_8'>
	<% q53RespuestaOpcionesBean beanPregs = (q53RespuestaOpcionesBean)sd.getVal("preguntasInteres");
						List opciones = beanPregs.getCodOpciones();
							for (int ind = 0; ind < opciones.size(); ind++){
								int cod = Integer.parseInt(((q53OpcionBean)opciones.get(ind)).getCodOpciones());
								%>
								<div class="col-sm-3" style="white-space: nowrap;">
									<input id='opt_check_8_<%=ind%>' name='opt_check_8' type='checkbox' value='<%= cod %>'>
									<label for='opt_check_8_<%=ind%>' ></label>
							  		<label for='opt_check_8_<%=ind%>' ><%=tipoInformacionList.get(cod)%></label>
							   	</div>
							<%}%>
	</div>
</div>
<%  }
}%>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('8','<%=tipoInformacionList.get(0)%>','S','opciones','check');
</script>

<!--IGC 20150519 INICIO INCLUIR PREGUNTA VALIDACION ESTANCIA-->
<%q53LogEstadisticas.printLog("Mostrar pregunta nueva de valoracion");%>
<%List ValoracionEstanciaList = null;
if(sd.getVal("literalesValoracionEstancia") != null){
    ValoracionEstanciaList = (List)sd.getVal("literalesValoracionEstancia");
    if(ValoracionEstanciaList != null && !ValoracionEstanciaList.isEmpty()){
        q53LogEstadisticas.printLog("ValoracionEstanciaList : " + ValoracionEstanciaList);
%>

<div id="valoracion" class="col-sm-12 form-group  form-group-inline">
	<div class="col-sm-2">
		<span class='numero_apartado'>7</span>
	    <span class='apartado'><%=n1_12%></span>
	</div>
	
	<div class="col-sm-10  form-group-inline">
		<%for(int j=1;j<7;j++){%>
			<div class="form-group-inline">
	        	<%if(j==1){%>
	            	<input id='opt_12' name='opt_12' type='radio' value='<%=j-1%>'>
	  			<%}else { // la opción no está en la respuesta%>
	  				<input id='opt_12' name='opt_12' type='radio' value='<%=j-1%>'>
	  			<%}%>
		  		<label><%=ValoracionEstanciaList.get(j)%></label>
	    	</div>
		<%}%>
		<span><%=sd.getVal("textoAyudaValoracionEstancia")%></span>
	</div>
</div>

<script>
preguntas[preguntas.length]=new gen_PregOpciones('12','<%=ValoracionEstanciaList.get(0)%>','N','opciones','radio');
</script>
<%}
}%>

<!--IGC 20150519 FIN INCLUIR PREGUNTA VALIDACION ESTANCIA-->

<div id="envio" class="col-sm-12 form-group  form-group-inline">
	<div class="col-sm-2">
	    <span class='numero_apartado'>8</span>
	    <span class='apartado'><%=not_recogida%></span>
	</div>
	
	<div class="col-sm-10 form-group-inline">
		<div class="form-group-inline">
	        <input id='check_envio' name='check_envio' type='checkbox' onClick="visualizar_datos_envio();">
			<label for="check_envio"></label>
			<label for="check_envio"><%=not_recogida%></label>
	   </div>
    </div>
    
	<div id="tabla_datos_envio" class="col-sm-10 form-group-inline">
		<div class="col-sm-12">
			<input id='tipo_envio' name='tipo_envio' type='radio' value='2' onClick="limpiar_campos_notificaciones()">
			<label for="email"><%=not_email%></label>
			<input class='inptxt' id="email" name="email" type="email">
		</div>
		<div class="col-sm-12">
			<input id='tipo_envio' name='tipo_envio' type='radio' value='1' onClick="limpiar_campos_notificaciones()">
			<label for="nombre"><%=not_nombre%></label>
			<input class='inptxt' maxlength="99" id="nombre" name="nombre" type="text">
		</div>
		<div class="col-sm-11">
			<label for="direccion"><%=not_direccion%></label>
			<input class='inptxt' maxlength="99" id="direccion" name="direccion" type="text">
		</div>
		<div class="col-sm-11">
			<label for="localidad"><%=not_localidad%></label>
			<input class='inptxt' maxlength="99" id="localidad" name="localidad" type="text">
			<label for="codPostal"><%=not_cp%></label>
			<input class='inptxt' maxlength="5" id="codPostal" name="codPostal" type="text">
		</div>
		<div class="col-sm-12">
			<input id='tipo_envio' name='tipo_envio' type='radio' value='3' onClick="limpiar_campos_notificaciones()">
			<label for="fax"><%=not_fax%></label>
			<input class='inptxt' id="fax" name="fax" type="text">
			<label for="fecha"><%=not_fecha%></label>
			<input class='inptxt' id="fecha" name="fecha" type="text">
			<label for="hojas"><%=not_nhojas%></label>
			<input class='inptxt' id="hojas" name="hojas" type="text">
		</div>
		<div class="col-sm-11">
			<label for="remitente"><%=not_remi%></label>
			<input class='inptxt' maxlength="39" id="remitente" name="remitente" type="text">
		</div>
		<div class="col-sm-11">
			<label for="destinatario"><%=not_desti%></label>
			<input class='inptxt' maxlength="39" id="destinatario" name="destinatario" type="text">
		</div>
	</div>
    
</div>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('3','Medio de recepción','S','opciones','radio');
</script>

<!-- titulo Recogida de datos -->
<%}
if (sd.gOS("hay_preg_ofi").equals("SI")) {%> 
	
	<div id="cabecera_encuesta" class="col-sm-12  form-group-inline">
		<span><%= cod_descripcion_oficina %></span>
		
	</div>
	   
<!-- FIN titulo Recogida de datos --> 

<input type="hidden" id="ofi_cod_encuesta" name="ofi_cod_encuesta" value="<%=cod_enc_oficina%>">
<input type="hidden" id="ofi_cod_version" name="ofi_cod_version" value="<%=cod_version_oficina%>">
<%
    int num_pregunta = 10;
    int preguntasLength= 8;
    escribirTextoEncuesta(out, sd, "enc_ofi");    
    if(sd.getVal("preguntasList") != null && !((List)sd.getVal("preguntasList")).isEmpty()){
        List preguntasList = (List)sd.getVal("preguntasList");
        int numPreguntas = preguntasList.size();
        for(int k=0;k<numPreguntas;k++){
            q53PreguntaBean preguntaBean = (q53PreguntaBean)preguntasList.get(k);
            String tipoPregunta = preguntaBean.getTipoPregunta();
            if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
                preguntasLength++;            
                escribirPregOpciones(out, preguntaBean, num_pregunta,preguntasLength);
            }else if (tipoPregunta.equals(q53Constantes.TIPO_TEXTO)) {
                preguntasLength++;
                escribirPregTexto(out, preguntaBean, num_pregunta,preguntasLength);
            }else if (tipoPregunta.equals(q53Constantes.TIPO_FECHA)) {
                preguntasLength++;
                escribirPregFecha(out, preguntaBean,sd, num_pregunta,preguntasLength);
            }
            num_pregunta++;
        }
    } // for i%>
<%} // if hay_preg_ofi
%>
	
	<div id="botones" class="btn">
		<a href="/q53ItourbaskWar/q53usrEncuestaPresencialServlet?cod_encuesta=<%= sd.gOS("cod_encuesta") %>&cod_version=<%= sd.gOS("cod_version") %>&respuesta_rd_asociada=<%= sd.gOS("respuesta_rd_asociada") %>&encuestas_terminadas=<%= sd.gOS("encuestas_terminadas") %>" id="btn_terminar" class="btn btn-dark"><%= q53Util.getLiteral(sd, "ENC_VOLVER", q53_idioma) %></a>
	</div>

</form>
</div>
<%//}
%>
<!-- FIN CENTRO -->
</div> <!-- container -->

<script>

	$(document).ready(function(){
 	 	
 	 	function ojo(){
 	 		if ($("#mantener_ultima").val() == "on"){
	 			$("#verultima").addClass("off");
	 			$("#ultima_respuesta").css("padding", "10px");
	 			$("#ultima_respuesta").show("clip", 10);
	 			recuperaEncuesta();
	 		} else {
	 			$("#verultima").removeClass("off");
	 			$("#ultima_respuesta").hide("clip", 10);
	 			$("#ultima_respuesta").css("padding", "0");
	 		}
 	 	}
 	 	$("#masprocedencia1").hide();
 	 	$("#procedencia2").show("highlight", 200);	
 	 	$("#masprocedencia2").hide();
 	 	$("#procedencia3").show("highlight", 200);	
 	 	$("#frm :input").prop("readonly", true);
 	 	$("#frm :checkbox").prop("disabled", true);
 	 	$("#frm :radio").prop("disabled", true);
 	 	
	 });
	 	 
</script>

</body>
</html>